Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class Version31Upgrader.MigratedBuildResults

    java.lang.Object
      com.atlassian.bamboo.upgrader.Version31Upgrader.MigratedBuildResults

Enclosing class:
  Version31Upgrader

    public class Version31Upgrader.MigratedBuildResults

extends Object

Constructor Summary
`Version31Upgrader.MigratedBuildResults()`

Method Summary
`String` | `getMyBuildName()`
`int` | `getMyBuildNumber()`
`void` | `setBuildLog(List buildLog)`
`void` | `setMyArtifacts(Map myArtifacts)`
`void` | `setMyBuildDate(Date myBuildDate)`
`void` | `setMyBuildDuration(long myBuildDuration)`
`void` | `setMyBuildErrors(List myBuildErrors)`
`void` | `setMyBuildName(String myBuildName)`
`void` | `setMyBuildNumber(int myBuildNumber)`
`void` | `setMyBuildState(BuildState myBuildState)`
`void` | `setMyChangeList(Collection myChangeList)`
`void` | `setMyFailedTestResults(List myFailedTestResults)`
`void` | `setMyReasonForBuild(ReasonForBuild myReasonForBuild)`
`void` | `setMySourceDirectory(File mySourceDirectory)`
`void` | `setMySuccessfulTestResults(List mySuccessfulTestResults)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Version31Upgrader.MigratedBuildResults

    public Version31Upgrader.MigratedBuildResults()

Method Detail

### setMyBuildName

    public void setMyBuildName(String myBuildName)

### setMySourceDirectory

    public void setMySourceDirectory(File mySourceDirectory)

### setMyReasonForBuild

    public void setMyReasonForBuild(ReasonForBuild myReasonForBuild)

### setMyBuildState

    public void setMyBuildState(BuildState myBuildState)

### setMyBuildErrors

    public void setMyBuildErrors(List myBuildErrors)

### setMyChangeList

    public void setMyChangeList(Collection myChangeList)

### setMyBuildNumber

    public void setMyBuildNumber(int myBuildNumber)

### setMySuccessfulTestResults

    public void setMySuccessfulTestResults(List mySuccessfulTestResults)

### setMyFailedTestResults

    public void setMyFailedTestResults(List myFailedTestResults)

### setMyBuildDate

    public void setMyBuildDate(Date myBuildDate)

### setMyBuildDuration

    public void setMyBuildDuration(long myBuildDuration)

### setMyArtifacts

    public void setMyArtifacts(Map myArtifacts)

### setBuildLog

    public void setBuildLog(List buildLog)

### getMyBuildNumber

    public int getMyBuildNumber()

### getMyBuildName

    public String getMyBuildName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.